Contribute
Register

Does macOS 10.14.x Need to Match MultiBeast?

Joined
Jun 5, 2016
Messages
86
Motherboard
GA-Z170X-UD5 TH
CPU
i7-6700K
Graphics
GTX 980 Ti
Mobile Phone
iOS
Hello,

I have wondered this for some time now, but how important is it to use the supported version of macOS with MultiBeast? It has become difficult or impossible to download Mojave 10.14.1, for example, since Apple pulls the old version from the App Store. Should I wait for a new version of MultiBeast or go ahead and install?

Cheers.
 

MacMan

Administrator
Staff member
Joined
Feb 2, 2010
Messages
8,261
Motherboard
ASUS ROG STRIX Z370-E GAMING - 1601 - UEFI
CPU
i7-8700K
Graphics
Vega 64
Mac
MacBook Pro, Mac Pro
Classic Mac
Power Mac, PowerBook
Mobile Phone
iOS
Joined
Jun 5, 2016
Messages
86
Motherboard
GA-Z170X-UD5 TH
CPU
i7-6700K
Graphics
GTX 980 Ti
Mobile Phone
iOS
Thanks MacMan. As Mojave 10.14.1 is unavailable, do we have an ETA on the next version of MultiBeast for Mojave 10.14.3?
 

MacMan

Administrator
Staff member
Joined
Feb 2, 2010
Messages
8,261
Motherboard
ASUS ROG STRIX Z370-E GAMING - 1601 - UEFI
CPU
i7-8700K
Graphics
Vega 64
Mac
MacBook Pro, Mac Pro
Classic Mac
Power Mac, PowerBook
Mobile Phone
iOS
Joined
Jun 5, 2016
Messages
86
Motherboard
GA-Z170X-UD5 TH
CPU
i7-6700K
Graphics
GTX 980 Ti
Mobile Phone
iOS
I see now, my apologies. Thanks for taking the time. :thumbup:
 
Top